CREATE PROCEDURE getemployees 
 AS 
    BEGIN 
      SELECT  dbo.employee.emp_id ,
           dbo.employee.emp_fname ,
           dbo.employee.emp_lname ,
           dbo.employee.salary ,
           ( select dept_name 
               from dbo.department dept 
               where dept.dept_id = 
                    dbo.employee.dept_id )
               as deptname,
           salary / ( select max ( salary ) 
               from dbo.employee ) 
               as percentile
      FROM dbo.employee 
    END
;