CREATE PROCEDURE insertemployee
         @emp_id  int,
         @manager_id  int,
         @emp_fname   varchar(20),
         @emp_lname   varchar(20),
         @dept_id int,
         @street  varchar(40),
         @city    varchar(20),
         @state   varchar(4),
         @zip_code    varchar(9),
         @phone   varchar(10),
         @status  char(1),
         @ss_number   varchar(11),
         @salary  numeric(20, 3),
         @start_date  datetime,
         @termination_date    datetime,
         @birth_date  datetime,
         @bene_health_ins char(1),
         @bene_life_ins   char(1),
         @bene_day_care   char(1),
         @sex char(1)
AS 
    BEGIN 
      insert into employee (
         emp_id,
         manager_id,
         emp_fname,
         emp_lname,
         dept_id,
         street,
         city,
         state,
         zip_code,
         phone,
         status,
         ss_number,
         salary,
         start_date,
         termination_date,
         birth_date,
         bene_health_ins,
         bene_life_ins,
         bene_day_care,
         sex )
      VALUES (
         @emp_id,
         @manager_id,
         @emp_fname,
         @emp_lname,
         @dept_id,
         @street,
         @city,
         @state,
         @zip_code,
         @phone,
         @status,
         @ss_number,
         @salary,
         @start_date,
         @termination_date,
         @birth_date,
         @bene_health_ins,
         @bene_life_ins,
         @bene_day_care,
         @sex )
    END
;