CREATE PROCEDURE dbo.namednotation 
     @emp_id int,
     @emp_fname   varchar(20),
     @emp_lname   varchar(20),
     @dept_id     int            = 100,
     @street      varchar(40)    = 'None',
     @city        varchar(20)    = 'None',
     @state       varchar(4)     = 'None',
     @zip_code    varchar(9)     = 'None',
     @phone       varchar(10)    = 'None',
     @status      char(1)        = 'A',
     @ss_number   varchar(11)    = 'None',
     @salary      numeric(20, 3) = 0,
     @start_date  datetime
AS 
    BEGIN 
      insert into employee (
         emp_id,
         emp_fname,
         emp_lname,
         dept_id,
         street,
         city,
         state,
         zip_code,
         phone,
         status,
         ss_number,
         salary,
         start_date )
      VALUES (
         @emp_id,
         @emp_fname,
         @emp_lname,
         @dept_id,
         @street,
         @city,
         @state,
         @zip_code,
         @phone,
         @status,
         @ss_number,
         @salary,
         @start_date )
    END
;