CREATE PROCEDURE temptabledemo 
AS 
    BEGIN 
       create table #employee_working (
         emp_id  int not null,
         manager_id  int null,
         emp_fname   varchar(20)    not null,
         emp_lname   varchar(20)    not null,
         dept_id int not null,
         street  varchar(40)    not null,
         city    varchar(20)    not null,
         state   varchar(4) not null,
         zip_code    varchar(9) not null,
         phone   varchar(10)    null,
         status  char(1) null,
         ss_number   varchar(11)    not null,
         salary  numeric(20, 3)  not null,
         start_date  datetime    not null,
         termination_date    datetime    null,
         birth_date  datetime    null,
         bene_health_ins char(1) null,
         bene_life_ins   char(1) null,
         bene_day_care   char(1) null,
         sex char(1) null )
      insert into #employee_working
         select * from employee
      update #employee_working
         set salary = salary + 10000
         where salary < ( 
           select max ( salary )
             from employee )
      select * 
        from #employee_working
    END
;